LevelX = Core.class(Sprite)

function LevelX:init()
	-- BG
	application:setBackgroundColor(0xaa557f)
	-- LISTENERS
	self:addEventListener("enterBegin", self.onTransitionInBegin, self)
	self:addEventListener("enterEnd", self.onTransitionInEnd, self)
	self:addEventListener("exitBegin", self.onTransitionOutBegin, self)
	self:addEventListener("exitEnd", self.onTransitionOutEnd, self)
	-- ads
	self.ADMOB_UNIT_ID = "ca-app-pub-3940256099942544/6300978111" -- google banner test id
	-- admob (setup for simple banner adverts), note: only visible on phone/tablet
	if application:getDeviceInfo() == "Android" then
		print("ADS")
		require 'ads' --create real object for on device
		self.ADMOB = Ads.new('admob')
		self.ADMOB:addEventListener(Event.AD_RECEIVED, function() -- show ad
			print("AD_RECEIVED")
			self.ADMOB:showAd('banner')
			self.ADMOB:setAlignment('center', 'bottom')
		end)
		self.ADMOB:addEventListener(Event.AD_FAILED, function(e)
			print("AD_FAILED")
		end)
		self.ADMOB:addEventListener(Event.AD_ACTION_BEGIN, function()
			print("AD_ACTION_BEGIN")
		end)
		self.ADMOB:addEventListener(Event.AD_ACTION_END, function()
			print("AD_ACTION_END")
		end)
		self.ADMOB:addEventListener(Event.AD_DISMISSED, function()
			print("AD_DISMISSED")
		end)

		self.ADMOB:loadAd("banner", self.ADMOB_UNIT_ID) -- load ad
	else
		print("NO ADS")
		self.ADMOB = {} -- create fake object for testing in windows player
		self.ADMOB.loadAd = function() end
		self.ADMOB.showAd = function() end
	end
end

-- GAME LOOP
function LevelX:onEnterFrame(e) end

-- EVENT LISTENERS
function LevelX:onTransitionInBegin() self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self) end
function LevelX:onTransitionInEnd() self:myKeysPressed() end
function LevelX:onTransitionOutBegin() self:removeEventListener(Event.ENTER_FRAME, self.onEnterFrame, self) end
function LevelX:onTransitionOutEnd() end

-- KEYS HANDLER
function LevelX:myKeysPressed()
	self:addEventListener(Event.KEY_DOWN, function(e)
		if e.keyCode == KeyCode.BACK or e.keyCode == KeyCode.ESC then -- for mobiles and desktops
--			scenemanager:changeScene("menu", 1, transitions[2], easing.outBack)
			print("EXIT APP")
		end
	end)
end
